Subject: Re: Bug#1028637: Spyder stops showing indent guides after restart

From: Julian Gilbey <[email-masked]>
Date: Mon, 16 Jan 2023 16:25:43 +0000

On Mon, Jan 16, 2023 at 05:03:14PM +0100, local10 wrote:
> Jan 16, 2023, 15:10 by [email-masked]:
> 
> > Oh, that's really interesting.
> >
> > If you open Spyder to the subprocess.py file and just wait (maybe 10
> > or 20 seconds, possibly longer), do the indent marks then appear?
> > They did for me, so I'm wondering if it's just that lots of processing
> > is happening and it takes a while for them to appear on startup.
> 
> Tried it but it didn't work for me: Opened subprocess.py in Spyder in a single tab, no other files are opened, switched focus to another app, waited ~20 seconds, back to Spyder, no indent guides still. However, switching the "Show indent guides" menu option off and then back on again brought the indent guides back (however, I know that trick doesn't work when I have 6-8 files opened in different tabs).
> 
> Pretty strange. This is what I have:

OK, this is weird.  I can't see any indented blocks when I open
subprocess.py without scrolling, so I'm presuming that at some point
you scroll to see that the indented blocks?  Also, what I most
recently did wasn't quite the same as you; I did the following:

* Open Spyder - the only tab is subprocess.py
* Scroll down a bit so I can see an indented block
* Wait about 20-30 seconds
* The indented block guides appear

Could you try that and let me know what you find?

Best wishes,

   Julian